SBND code - Bug #12976

standard_reco_sbnd_basic.fcl crashes because of missing art_file_catalog_mc configuration
06/21/2016 02:46 PM - Hector Mendez

Status: Closed Start date: 06/21/2016
Priority: Normal Due date:

Assignee: Gianluca Petrillo % Done: 100%
Category: Reconstruction Estimated time: 1.00 hour
Target version: v05 12 01

First Occurred: v05_12_01 Occurs In: v05_12_01
Description

Crashing when tried to reconstruct the generated output of single particle. Here is
the message:

Failed to parse the configuration file 'standard_reco_sbnd_basic.fcl' with exception

---- Parse error BEGIN

Local lookup error

---- Can't find key BEGIN

art_file_catalog_mc (at part "art_file_catalog_mc")

---- Can't find key END

at line 25, character 25, of file
"/lar1nd/app/users/mendez/larsoft_v05_12_01/localProducts_larsoft_v05_12_01_debug_e9/sbndcode/v05_09_01/fcl/standard_reco_
sbnd_basic.fcl"

FileCatalogMetadata: (@local::art_file_catalog_mc

—-——— Parse error END

Art has completed and will exit with status 90.

History

#1 - 06/21/2016 03:30 PM - Gianluca Petrillo
- Status changed from New to Assigned
- Assignee set to Gianluca Petrillo

- Estimated time set to 1.00 h

| can reproduce the problem.

#2 - 06/21/2016 08:00 PM - Gianluca Petrillo

- Subject changed from sbndCode to standard_reco_sbnd_basic.fcl crashes because of missing art_file_catalog_mc configuration
- Category set to Reconstruction

- Status changed from Assigned to Resolved

- Target version set to v05_12_01

- % Done changed from 0 to 100

- First Occurred set to v05_12_01

- Occurs In v05_12_01 added

The fix should be in develop branch ( 79b93fdc36848f57fde02257b2ad66a745af0e05 ).

| can now run the job (and standard_reco_sbnd.fcl as well).
Please test and close the issue if the resolution is confirmed.

#3 - 06/22/2016 12:41 PM - Hector Mendez
after i did: git pull

my make install -j4 failed at:

04/27/2021 1/2



https://cdcvs.fnal.gov/redmine/projects/sbndcode/repository/revisions/79b93fdc36848f57fde02257b2ad66a745af0e05

make?: * No rule to make target ‘/larind/app/users/mendez/larsoft_v05_12_01/srcs/sbndcode/sbndcode/Utilities/sam_sbnd.fcl', needed by
‘sbndcode/fcl/'sam_sbnd.fcl'. Stop.

make':
[sbndcode/sbndcode/Utilities/CMakeFiles/+lar1nd+app+users+mendez+larsoft_v05_12_01+build_slf6.x86_64+sbndcode+fcl+sam_sbnd.fcl.dir/all]

Error 2
make': ** Waiting for unfinished jobs....

#4 - 06/22/2016 01:50 PM - Gianluca Petrillo

That file has been moved.
You need to redo mrb build -C to make the build system aware that things have been added, removed or, as in this case, moved.

Let us know if the problem persists.

#5 - 07/21/2016 01:24 PM - Gianluca Petrillo

- Status changed from Resolved to Closed
